**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/21.1/metadata-definition-language-mdl/components-with-content/retrieve-content-file.md

# Retrieve Content File



Retrieve the content file of a specified component.

<Endpoint path="/api/mdl/components/{component_type}.{record_name}/files" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `component_type` | The component type of the record to retrieve content file. For example, `Formattedoutput`. |
| `record_name` | The `name` of the component record. For example, `my_formatted_output__c`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/mdl/components/Formattedoutput.my_formatted_output__c/files

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "links": [
        {
            "rel": "my_formatted_output__c.template_file",
            "href": "myvault.veevavault.com/api/mdl/components/Formattedoutput.my_formatted_output__c/files/4be398c32fc2ccf48adaf6ebe53782a1",
            "method": "GET",
            "accept": "application/pdf"
        }
    ],
    "data": [
        {
            "name__v": "4be398c32fc2ccf48adaf6ebe53782a1",
            "original_name__v": "Quote.pdf",
            "format__v": "application/pdf",
            "size__v": 654122,
            "sha1_checksum__v": "4be398c32fc2ccf48adaf6ebe53782a1"
        }
    ]
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response includes the following:



---

**Previous:** [Upload Content File](/safety/vault-api/api-reference/21.1/metadata-definition-language-mdl/components-with-content/upload-content-file)  
**Next:** [Documents](/safety/vault-api/api-reference/21.1/documents)